org.apache.cassandra.serializers

## Class CounterSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.LongSerializer
  - - org.apache.cassandra.serializers.CounterSerializer

All Implemented Interfaces:
  TypeSerializer<java.lang.Long>

    public class CounterSerializer
    extends LongSerializer

### Field Summary

### Fields inherited from class org.apache.cassandra.serializers.LongSerializer

`instance`

### Constructor Summary

Constructors
Constructor and Description
`CounterSerializer()`

### Method Summary

### Methods inherited from class org.apache.cassandra.serializers.LongSerializer

`deserialize, getType, serialize, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CounterSerializer

    public CounterSerializer()